export * from './BaseDialog';
export * from './AlertDialog';
export * from './ConfirmDialog';
export { IDialogProps } from './Dialog';
import { Dialog as DialogOriginal, HeaderTitle } from './Dialog';
import { EdgeToEdgeSection, CenteredSection, ScrollSection } from '../Dialog/components/Content';
declare type DialogOriginalType = typeof DialogOriginal;
interface IDialogSetup {
    CenteredSection: typeof CenteredSection;
    EdgeToEdgeSection: typeof EdgeToEdgeSection;
    ScrollSection: typeof ScrollSection;
    HeaderTitle: typeof HeaderTitle;
}
interface IDialog extends DialogOriginalType, Readonly<IDialogSetup> {
}
export declare const Dialog: IDialog;
