/**
 * This file is for internal theme use only!
 * It must not be used elsewhere.
 */
/**
 * Convenience wrappers for allowing any color to
 * have an alpha channel.
 */
export declare type CSSColor = (a?: number) => string;
export declare const getHexValue: (rgb: string) => string;
/**
 * Color palette
 */
export declare const basePalette: {
    black: CSSColor;
    grey16: CSSColor;
    grey20: CSSColor;
    grey24: CSSColor;
    grey32: CSSColor;
    grey40: CSSColor;
    grey48: CSSColor;
    grey64: CSSColor;
    grey72: CSSColor;
    grey80: CSSColor;
    grey88: CSSColor;
    grey90: CSSColor;
    grey92: CSSColor;
    grey94: CSSColor;
    grey95: CSSColor;
    grey96: CSSColor;
    grey97: CSSColor;
    grey98: CSSColor;
    grey99: CSSColor;
    white: CSSColor;
    transparent: () => string;
};
