import React from 'react';
export interface IFieldProps {
    readonly label?: string;
    /**
     * Override theme's default setting for `compact` if set.
  
     */
    readonly compact?: boolean;
    readonly unitLabel?: string;
}
export declare function withField<T>(InputComponent: React.FunctionComponent<T>): React.FunctionComponent<IFieldProps & T>;
